%define anolis_release 1

Name:           nde-menu-data
Version:        0.0.1
Release:        %{anolis_release}%{?dist}
Summary:        Data files for the NDE menu
License:        LGPLv2+
Source0:        %{name}-%{version}.tar.gz


BuildArch:      noarch

%description
The nde-menu-data contains files used to build the menu in NDE according to 
the freedesktop-org menu spec. Currently it's used by nde-panel and libfm-qt.

%prep
%setup -q

%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/desktop-directories/
install -m0755 -p -D %{_builddir}/%{name}-%{version}/desktop-directories/nde-*.directory $RPM_BUILD_ROOT%{_datadir}/desktop-directories/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/
install -m0755 -p -D %{_builddir}/%{name}-%{version}/nde-applications.menu $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/

%files
%{_sysconfdir}/xdg/menus/nde-applications.menu
%{_datadir}/desktop-directories/nde-*.directory

%changelog
* Fri Jul 18 2025 NewStart <os@gd-linux.com> - 0.0.1-1
- Add nde-menu-data v0.0.1
